summaryrefslogtreecommitdiffstats
path: root/db-unstable
diff options
context:
space:
mode:
authorJudd Vinet <judd@archlinux.org>2004-08-17 21:17:36 +0200
committerJudd Vinet <judd@archlinux.org>2004-08-17 21:17:36 +0200
commit5c8c26b650008d7af1305d5e304fb5a2c8f3e85c (patch)
tree0afb99dd8d515fadb0f0df0a2d08f6394fd2b3a8 /db-unstable
parent356342c65bcec5ab91680bd0118e566b6f0d90b2 (diff)
downloaddbscripts-5c8c26b650008d7af1305d5e304fb5a2c8f3e85c.tar.gz
dbscripts-5c8c26b650008d7af1305d5e304fb5a2c8f3e85c.tar.xz
added some sanity checks around the cvs export calls
Diffstat (limited to 'db-unstable')
-rwxr-xr-xdb-unstable6
1 files changed, 5 insertions, 1 deletions
diff --git a/db-unstable b/db-unstable
index 0ab9983..e562e58 100755
--- a/db-unstable
+++ b/db-unstable
@@ -1,5 +1,5 @@
#!/bin/bash
-# $Id: db-unstable,v 1.11 2004/07/03 20:28:11 judd Exp $
+# $Id: db-unstable,v 1.12 2004/08/17 19:17:36 judd Exp $
uid=`id -u`
repoid=3
@@ -38,6 +38,10 @@ mkdir $TMPDIR; [ $? -gt 0 ] && exit 1
echo "==> Generating Pacman Database for UNSTABLE..." >&2
cd $TMPDIR
CVS_RSH=ssh CVSROOT=:ext:cvs.archlinux.org:/home/cvs-unstable cvs -q export -r CURRENT unstable
+if [ $? -gt 0 ]; then
+ echo "==> CVS export failed!"
+ exit 1
+fi
# check again
if [ -d /tmp/.gensync ]; then
echo "error: someone else is currently running gensync!"